diff --git a/gcc/config/darwin-c.c b/gcc/config/darwin-c.c
index 892ba35..44d3fca 100644
--- a/gcc/config/darwin-c.c
+++ b/gcc/config/darwin-c.c
@@ -482,7 +482,7 @@ darwin_register_objc_includes (const char *sysroot, const char *iprefix,
   /* Register the GNU OBJC runtime include path if we are compiling  OBJC
     with GNU-runtime.  */
 
-  if (c_dialect_objc () && !flag_next_runtime)
+  if (c_dialect_objc () && !GCC_OPTION (flag_next_runtime))
     {
       char *str;
       /* See if our directory starts with the standard prefix.
@@ -579,20 +579,20 @@ version_as_macro (void)
 {
   static char result[] = "1000";
 
-  if (strncmp (darwin_macosx_version_min, "10.", 3) != 0)
+  if (strncmp (GCC_OPTION (darwin_macosx_version_min), "10.", 3) != 0)
     goto fail;
-  if (! ISDIGIT (darwin_macosx_version_min[3]))
+  if (! ISDIGIT (GCC_OPTION (darwin_macosx_version_min)[3]))
     goto fail;
-  result[2] = darwin_macosx_version_min[3];
-  if (darwin_macosx_version_min[4] != '\0'
-      && darwin_macosx_version_min[4] != '.')
+  result[2] = GCC_OPTION (darwin_macosx_version_min)[3];
+  if (GCC_OPTION (darwin_macosx_version_min)[4] != '\0'
+      && GCC_OPTION (darwin_macosx_version_min)[4] != '.')
     goto fail;
 
   return result;
 
  fail:
   error ("unknown value %qs of -mmacosx-version-min",
-	 darwin_macosx_version_min);
+	 GCC_OPTION (darwin_macosx_version_min));
   return "1000";
 }
 
@@ -610,7 +610,7 @@ darwin_cpp_builtins (cpp_reader *pfile)
      to be defined and won't work if it isn't.  */
   builtin_define_with_value ("__APPLE_CC__", "1", false);
 
-  if (darwin_constant_cfstrings)
+  if (GCC_OPTION (darwin_constant_cfstrings))
     builtin_define ("__CONSTANT_CFSTRINGS__");
 
   builtin_define_with_value ("__ENVIRONMENT_MAC_OS_X_VERSION_MIN_REQUIRED__",
@@ -620,7 +620,7 @@ darwin_cpp_builtins (cpp_reader *pfile)
      following will cause a syntax error if one tries to compile gc attributed
      items.  However, without this, NeXT system headers cannot be parsed 
      properly (on systems >= darwin 9).  */
-  if (flag_objc_gc)
+  if (GCC_OPTION (flag_objc_gc))
     {
       builtin_define ("__strong=__attribute__((objc_gc(strong)))");
       builtin_define ("__weak=__attribute__((objc_gc(weak)))");
@@ -632,7 +632,7 @@ darwin_cpp_builtins (cpp_reader *pfile)
       builtin_define ("__weak=");
     }
 
-  if (CPP_OPTION (pfile, objc) && flag_objc_abi == 2)
+  if (CPP_OPTION (pfile, objc) && GCC_OPTION (flag_objc_abi) == 2)
     builtin_define ("__OBJC2__");
 }
 
@@ -666,7 +666,7 @@ handle_c_option (size_t code,
 static tree
 darwin_objc_construct_string (tree str)
 {
-  if (!darwin_constant_cfstrings)
+  if (!GCC_OPTION (darwin_constant_cfstrings))
     {
     /* Even though we are not using CFStrings, place our literal
        into the cfstring_htab hash table, so that the
diff --git a/gcc/config/darwin.c b/gcc/config/darwin.c
index adf370d..9d3186b 100644
--- a/gcc/config/darwin.c
+++ b/gcc/config/darwin.c
@@ -200,11 +200,11 @@ output_objc_section_asm_op (const void *directive)
       size_t i;
 
       been_here = true;
-      if (flag_objc_abi < 2)
+      if (GCC_OPTION (flag_objc_abi) < 2)
 	{
 	  for (i = 0; i < ARRAY_SIZE (tomark); i++)
 	    switch_to_section (darwin_sections[tomark[i]]);
-	  if (flag_objc_abi == 1)
+	  if (GCC_OPTION (flag_objc_abi) == 1)
 	    for (i = 0; i < ARRAY_SIZE (tomarkv1); i++)
 	      switch_to_section (darwin_sections[tomarkv1[i]]);
 	}
@@ -1254,7 +1254,7 @@ darwin_mergeable_string_section (tree exp,
      section.  Later versions of ld check and complain when CFStrings are 
      enabled.  Therefore we shall force the strings into .cstring since we
      don't support writable ones anyway.  */
-  if ((darwin_constant_cfstrings || flag_merge_constants)
+  if ((GCC_OPTION (darwin_constant_cfstrings) || GCC_OPTION (flag_merge_constants))
       && TREE_CODE (exp) == STRING_CST
       && TREE_CODE (TREE_TYPE (exp)) == ARRAY_TYPE
       && align <= 256
@@ -1264,7 +1264,7 @@ darwin_mergeable_string_section (tree exp,
 	  == strlen (TREE_STRING_POINTER (exp)) + 1))
     return darwin_sections[cstring_section];
 
-  if (DARWIN_SECTION_ANCHORS && flag_section_anchors
+  if (DARWIN_SECTION_ANCHORS && GCC_OPTION (flag_section_anchors)
       && TREE_CODE (exp) == STRING_CST
       && TREE_STRING_LENGTH (exp) == 0)
     return darwin_sections[zobj_const_section];
@@ -1285,11 +1285,11 @@ darwin_mergeable_constant_section (tree exp,
   unsigned int modesize = GET_MODE_BITSIZE (mode);
 
   if (DARWIN_SECTION_ANCHORS 
-      && flag_section_anchors 
+      && GCC_OPTION (flag_section_anchors) 
       && zsize)
     return darwin_sections[zobj_const_section];
 
-  if (flag_merge_constants
+  if (GCC_OPTION (flag_merge_constants)
       && mode != VOIDmode
       && mode != BLKmode
       && modesize <= align
@@ -1369,7 +1369,7 @@ darwin_objc2_section (tree decl ATTRIBUTE_UNUSED, tree meta, section * base)
   gcc_assert (TREE_CODE (ident) == IDENTIFIER_NODE);
   p = IDENTIFIER_POINTER (ident);
 
-  gcc_checking_assert (flag_next_runtime == 1 && flag_objc_abi == 2);
+  gcc_checking_assert (GCC_OPTION (flag_next_runtime) == 1 && GCC_OPTION (flag_objc_abi) == 2);
 
   objc_metadata_seen = 1;
 
@@ -1432,7 +1432,7 @@ darwin_objc1_section (tree decl ATTRIBUTE_UNUSED, tree meta, section * base)
   gcc_assert (TREE_CODE (ident) == IDENTIFIER_NODE);
   p = IDENTIFIER_POINTER (ident);
 
-  gcc_checking_assert (flag_next_runtime == 1 && flag_objc_abi < 2);
+  gcc_checking_assert (GCC_OPTION (flag_next_runtime) == 1 && GCC_OPTION (flag_objc_abi) < 2);
 
   objc_metadata_seen = 1;
 
@@ -1568,7 +1568,7 @@ machopic_select_section (tree decl,
 	    base_section = darwin_sections[data_coal_section];
 	}
       else if (DARWIN_SECTION_ANCHORS 
-	       && flag_section_anchors
+	       && GCC_OPTION (flag_section_anchors)
 	       && zsize)
 	{
 	  /* If we're doing section anchors, then punt zero-sized objects into
@@ -1636,9 +1636,9 @@ machopic_select_section (tree decl,
 
       if (!strcmp (IDENTIFIER_POINTER (name), "__builtin_ObjCString"))
 	{
-	  if (flag_next_runtime)
+	  if (GCC_OPTION (flag_next_runtime))
 	    {
-	      if (flag_objc_abi == 2)
+	      if (GCC_OPTION (flag_objc_abi) == 2)
 		return darwin_sections[objc2_constant_string_object_section];
 	      else
 		return darwin_sections[objc_constant_string_object_section];
@@ -1656,7 +1656,7 @@ machopic_select_section (tree decl,
 	   && DECL_NAME (decl)
 	   && TREE_CODE (DECL_NAME (decl)) == IDENTIFIER_NODE
 	   && IDENTIFIER_POINTER (DECL_NAME (decl))
-	   && flag_next_runtime
+	   && GCC_OPTION (flag_next_runtime)
 	   && !strncmp (IDENTIFIER_POINTER (DECL_NAME (decl)), "_OBJC_", 6))
     {
       const char *name = IDENTIFIER_POINTER (DECL_NAME (decl));
@@ -2235,7 +2235,7 @@ fprintf (file, "# dadon: %s %s (%llu, %u) local %d weak %d"
 
       /* Check that we've correctly picked up the zero-sized item and placed it
          properly.  */
-      gcc_assert ((!DARWIN_SECTION_ANCHORS || !flag_section_anchors)
+      gcc_assert ((!DARWIN_SECTION_ANCHORS || !GCC_OPTION (flag_section_anchors))
 		  || (in_section 
 		      && (in_section->common.flags & SECTION_NO_ANCHOR)));
     }
@@ -2256,7 +2256,7 @@ darwin_asm_declare_constant_name (FILE *file, const char *name,
       fputs ("\t.space\t1\n", file);
       /* Check that we've correctly picked up the zero-sized item and placed it
          properly.  */
-      gcc_assert ((!DARWIN_SECTION_ANCHORS || !flag_section_anchors)
+      gcc_assert ((!DARWIN_SECTION_ANCHORS || !GCC_OPTION (flag_section_anchors))
 		  || (in_section 
 		      && (in_section->common.flags & SECTION_NO_ANCHOR)));
     }
@@ -2349,7 +2349,7 @@ darwin_emit_local_bss (FILE *fp, tree decl, const char *name,
    /* FIXME: We have a fudge to make this work with Java even when the target does
    not use sections anchors -- Java seems to need at least one small item in a
    non-zerofill segment.   */
-   if ((DARWIN_SECTION_ANCHORS && flag_section_anchors && size < BYTES_ZFILL)
+   if ((DARWIN_SECTION_ANCHORS && GCC_OPTION (flag_section_anchors) && size < BYTES_ZFILL)
        || (size && size <= 2))
     {
       /* Put smaller objects in _static_data, where the section anchors system
@@ -2522,7 +2522,7 @@ fprintf (fp, "# albss: %s (%lld,%d) ro %d cst %d stat %d com %d"
     }
 
   /* So we have a public symbol (small item fudge for Java, see above).  */
-  if ((DARWIN_SECTION_ANCHORS && flag_section_anchors && size < BYTES_ZFILL) 
+  if ((DARWIN_SECTION_ANCHORS && GCC_OPTION (flag_section_anchors) && size < BYTES_ZFILL) 
        || (size && size <= 2))
     {
       /* Put smaller objects in data, where the section anchors system can get
@@ -2879,10 +2879,10 @@ darwin_file_end (void)
      some) then we output the fix-and-continue marker (Image Info).
      This applies to Objective C, Objective C++ and LTO with either language
      as part of the input.  */
-  if (flag_next_runtime && objc_metadata_seen)
+  if (GCC_OPTION (flag_next_runtime) && objc_metadata_seen)
     {
       unsigned int flags = 0;
-      if (flag_objc_abi >= 2)
+      if (GCC_OPTION (flag_objc_abi) >= 2)
 	{
 	  flags = 16;
 	  output_section_asm_op
@@ -2895,8 +2895,8 @@ darwin_file_end (void)
       ASM_OUTPUT_ALIGN (asm_out_file, 2);
       fputs ("L_OBJC_ImageInfo:\n", asm_out_file);
 
-      flags |= (flag_replace_objc_classes && classes_seen) ? 1 : 0;
-      flags |= flag_objc_gc ? 2 : 0;
+      flags |= (GCC_OPTION (flag_replace_objc_classes) && classes_seen) ? 1 : 0;
+      flags |= GCC_OPTION (flag_objc_gc) ? 2 : 0;
 
       fprintf (asm_out_file, "\t.long\t0\n\t.long\t%u\n", flags);
      }
@@ -2992,7 +2992,7 @@ darwin_file_end (void)
 
   /* If we have section anchors, then we must prevent the linker from
      re-arranging data.  */
-  if (!DARWIN_SECTION_ANCHORS || !flag_section_anchors)
+  if (!DARWIN_SECTION_ANCHORS || !GCC_OPTION (flag_section_anchors))
     fprintf (asm_out_file, "\t.subsections_via_symbols\n");
 }
 
@@ -3026,7 +3026,7 @@ darwin_asm_output_anchor (rtx symbol)
 bool
 darwin_use_anchors_for_symbol_p (const_rtx symbol)
 {
-  if (DARWIN_SECTION_ANCHORS && flag_section_anchors) 
+  if (DARWIN_SECTION_ANCHORS && GCC_OPTION (flag_section_anchors)) 
     {
       section *sect;
       /* If the section contains a zero-sized object it's ineligible.  */
@@ -3058,18 +3058,18 @@ darwin_set_default_type_attributes (tree type)
 
 bool
 darwin_kextabi_p (void) {
-  return flag_apple_kext;
+  return GCC_OPTION (flag_apple_kext);
 }
 
 void
 darwin_override_options (void)
 {
   /* Keep track of which (major) version we're generating code for.  */
-  if (darwin_macosx_version_min)
+  if (GCC_OPTION (darwin_macosx_version_min))
     {
-      if (strverscmp (darwin_macosx_version_min, "10.6") >= 0)
+      if (strverscmp (GCC_OPTION (darwin_macosx_version_min), "10.6") >= 0)
 	generating_for_darwin_version = 10;
-      else if (strverscmp (darwin_macosx_version_min, "10.5") >= 0)
+      else if (strverscmp (GCC_OPTION (darwin_macosx_version_min), "10.5") >= 0)
 	generating_for_darwin_version = 9;
 
       /* Earlier versions are not specifically accounted, until required.  */
@@ -3083,14 +3083,14 @@ darwin_override_options (void)
   /* Unless set, force ABI=2 for NeXT and m64, 0 otherwise.  */
   if (!global_options_set.x_flag_objc_abi)
     global_options.x_flag_objc_abi
-	= (!flag_next_runtime)
+	= (!GCC_OPTION (flag_next_runtime))
 		? 0
 		: (TARGET_64BIT ? 2
 				: (generating_for_darwin_version >= 9) ? 1
 								       : 0);
 
   /* Objective-C family ABI 2 is only valid for next/m64 at present.  */
-  if (global_options_set.x_flag_objc_abi && flag_next_runtime)
+  if (global_options_set.x_flag_objc_abi && GCC_OPTION (flag_next_runtime))
     {
       if (TARGET_64BIT && global_options.x_flag_objc_abi < 2)
 	error_at (UNKNOWN_LOCATION, "%<-fobjc-abi-version%> >= 2 must be"
@@ -3105,9 +3105,9 @@ darwin_override_options (void)
   /* Don't emit DWARF3/4 unless specifically selected.  This is a 
      workaround for tool bugs.  */
   if (!global_options_set.x_dwarf_strict) 
-    dwarf_strict = 1;
+    GCC_OPTION (dwarf_strict) = 1;
   if (!global_options_set.x_dwarf_version)
-    dwarf_version = 2;
+    GCC_OPTION (dwarf_version) = 2;
 
   /* Do not allow unwind tables to be generated by default for m32.  
      fnon-call-exceptions will override this, regardless of what we do.  */
@@ -3136,60 +3136,60 @@ darwin_override_options (void)
       inform (input_location,
 	      "-freorder-blocks-and-partition does not work with exceptions "
 	      "on this architecture");
-      flag_reorder_blocks_and_partition = 0;
-      flag_reorder_blocks = 1;
+      GCC_OPTION (flag_reorder_blocks_and_partition) = 0;
+      GCC_OPTION (flag_reorder_blocks) = 1;
     }
 
     /* FIXME: flag_objc_sjlj_exceptions is no longer needed since there is only
        one valid choice of exception scheme for each runtime.  */
     if (!global_options_set.x_flag_objc_sjlj_exceptions)
       global_options.x_flag_objc_sjlj_exceptions = 
-				flag_next_runtime && !TARGET_64BIT;
+				GCC_OPTION (flag_next_runtime) && !TARGET_64BIT;
 
     /* FIXME: and this could be eliminated then too.  */
     if (!global_options_set.x_flag_exceptions
-	&& flag_objc_exceptions
+	&& GCC_OPTION (flag_objc_exceptions)
 	&& TARGET_64BIT)
-      flag_exceptions = 1;
+      GCC_OPTION (flag_exceptions) = 1;
 
-  if (flag_mkernel || flag_apple_kext)
+  if (GCC_OPTION (flag_mkernel) || GCC_OPTION (flag_apple_kext))
     {
       /* -mkernel implies -fapple-kext for C++ */
       if (strcmp (lang_hooks.name, "GNU C++") == 0)
-	flag_apple_kext = 1;
+	GCC_OPTION (flag_apple_kext) = 1;
 
-      flag_no_common = 1;
+      GCC_OPTION (flag_no_common) = 1;
 
       /* No EH in kexts.  */
-      flag_exceptions = 0;
+      GCC_OPTION (flag_exceptions) = 0;
       /* No -fnon-call-exceptions data in kexts.  */
-      flag_non_call_exceptions = 0;
+      GCC_OPTION (flag_non_call_exceptions) = 0;
       /* so no tables either.. */
-      flag_unwind_tables = 0;
-      flag_asynchronous_unwind_tables = 0;
+      GCC_OPTION (flag_unwind_tables) = 0;
+      GCC_OPTION (flag_asynchronous_unwind_tables) = 0;
       /* We still need to emit branch islands for kernel context.  */
       darwin_emit_branch_islands = true;
     }
 
-  if (flag_var_tracking_uninit == 0
+  if (GCC_OPTION (flag_var_tracking_uninit) == 0
       && generating_for_darwin_version >= 9
-      && (flag_gtoggle ? (debug_info_level == DINFO_LEVEL_NONE)
-      : (debug_info_level >= DINFO_LEVEL_NORMAL))
-      && write_symbols == DWARF2_DEBUG)
-    flag_var_tracking_uninit = flag_var_tracking;
+      && (GCC_OPTION (flag_gtoggle) ? (GCC_OPTION (debug_info_level) == DINFO_LEVEL_NONE)
+      : (GCC_OPTION (debug_info_level) >= DINFO_LEVEL_NORMAL))
+      && GCC_OPTION (write_symbols) == DWARF2_DEBUG)
+    GCC_OPTION (flag_var_tracking_uninit) = GCC_OPTION (flag_var_tracking);
 
   if (MACHO_DYNAMIC_NO_PIC_P)
     {
-      if (flag_pic)
+      if (GCC_OPTION (flag_pic))
 	warning_at (UNKNOWN_LOCATION, 0,
 		 "%<-mdynamic-no-pic%> overrides %<-fpic%>, %<-fPIC%>,"
 		 " %<-fpie%> or %<-fPIE%>");
-      flag_pic = 0;
+      GCC_OPTION (flag_pic) = 0;
     }
-  else if (flag_pic == 1)
+  else if (GCC_OPTION (flag_pic) == 1)
     {
       /* Darwin's -fpic is -fPIC.  */
-      flag_pic = 2;
+      GCC_OPTION (flag_pic) = 2;
     }
 
   /* It is assumed that branch island stubs are needed for earlier systems.  */
@@ -3237,7 +3237,7 @@ darwin_patch_builtins (void)
     darwin_patch_builtin (fncode);
 #define PATCH_BUILTIN_VARIADIC(fncode)				  \
   if (!TARGET_64BIT						  \
-      && (strverscmp (darwin_macosx_version_min, "10.3.9") >= 0)) \
+      && (strverscmp (GCC_OPTION (darwin_macosx_version_min), "10.3.9") >= 0)) \
     darwin_patch_builtin (fncode);
 #include "darwin-ppc-ldouble-patch.def"
 #undef PATCH_BUILTIN
@@ -3365,7 +3365,7 @@ darwin_fold_builtin (tree fndecl, int n_args, tree *argp,
   
   if (fcode == darwin_builtin_cfstring)
     {
-      if (!darwin_constant_cfstrings)
+      if (!GCC_OPTION (darwin_constant_cfstrings))
 	{
 	  error ("built-in function %qD requires the" 
 		 " %<-mconstant-cfstrings%> flag", fndecl);
@@ -3394,7 +3394,7 @@ darwin_rename_builtins (void)
 
      When -ffast-math or -funsafe-math-optimizations is given, we can
      use the faster version.  */
-  if (!flag_unsafe_math_optimizations)
+  if (!GCC_OPTION (flag_unsafe_math_optimizations))
     {
       enum built_in_function dcode
 	= (enum built_in_function)(BUILT_IN_COMPLEX_DIV_MIN
@@ -3421,7 +3421,7 @@ darwin_libc_has_function (enum function_class fn_class)
   if (fn_class == function_c99_math_complex
       || fn_class == function_c99_misc)
     return (TARGET_64BIT
-	    || strverscmp (darwin_macosx_version_min, "10.3") >= 0);
+	    || strverscmp (GCC_OPTION (darwin_macosx_version_min), "10.3") >= 0);
 
   return true;
 }
@@ -3487,7 +3487,7 @@ darwin_build_constant_cfstring (tree str)
       vec<constructor_elt, va_gc> *v = NULL;
       int length = TREE_STRING_LENGTH (str) - 1;
 
-      if (darwin_warn_nonportable_cfstrings)
+      if (GCC_OPTION (darwin_warn_nonportable_cfstrings))
 	{
 	  const char *s = TREE_STRING_POINTER (str);
 	  int l = 0;
@@ -3495,7 +3495,7 @@ darwin_build_constant_cfstring (tree str)
 	  for (l = 0; l < length; l++)
 	    if (!s[l] || !isascii (s[l]))
 	      {
-		warning (darwin_warn_nonportable_cfstrings, "%s in CFString literal",
+		warning (GCC_OPTION (darwin_warn_nonportable_cfstrings), "%s in CFString literal",
 			 s[l] ? "non-ASCII character" : "embedded NUL");
 		break;
 	      }
@@ -3619,7 +3619,7 @@ darwin_function_section (tree decl, enum node_frequency freq,
   /* If we have LTO *and* feedback information, then let LTO handle
      the function ordering, it makes a better job (for normal, hot,
      startup and exit - hence the bailout for cold above).  */
-  if (in_lto_p && flag_profile_values)
+  if (GCC_OPTION (in_lto_p) && GCC_OPTION (flag_profile_values))
     goto default_function_sections;
 
   /* Non-cold startup code should go to startup subsection.  */
diff --git a/gcc/config/darwin.h b/gcc/config/darwin.h
index 1263640..0120b5f 100644
--- a/gcc/config/darwin.h
+++ b/gcc/config/darwin.h
@@ -138,15 +138,15 @@ extern GTY(()) int darwin_ms_struct;
   } while (0)
 
 #define SUBTARGET_C_COMMON_OVERRIDE_OPTIONS do {                        \
-    if (flag_mkernel || flag_apple_kext)				\
+    if (GCC_OPTION (flag_mkernel) || GCC_OPTION (flag_apple_kext))				\
       {									\
-	if (flag_use_cxa_atexit == 2)					\
-	  flag_use_cxa_atexit = 0;					\
+	if (GCC_OPTION (flag_use_cxa_atexit) == 2)					\
+	  GCC_OPTION (flag_use_cxa_atexit) = 0;					\
 	/* kexts should always be built without the coalesced sections	\
 	   because the kernel loader doesn't grok such sections.  */	\
-	flag_weak = 0;							\
+	GCC_OPTION (flag_weak) = 0;							\
 	/* No RTTI in kexts.  */					\
-	flag_rtti = 0;							\
+	GCC_OPTION (flag_rtti) = 0;							\
       }									\
   } while (0)
 
@@ -746,10 +746,10 @@ enum machopic_addr_class {
 #undef  MACHO_DYNAMIC_NO_PIC_P
 #define MACHO_DYNAMIC_NO_PIC_P	(TARGET_MACHO_DYNAMIC_NO_PIC)
 #undef  MACHOPIC_INDIRECT
-#define MACHOPIC_INDIRECT	(flag_pic || MACHO_DYNAMIC_NO_PIC_P)
+#define MACHOPIC_INDIRECT	(GCC_OPTION (flag_pic) || MACHO_DYNAMIC_NO_PIC_P)
 #define MACHOPIC_JUST_INDIRECT	(MACHO_DYNAMIC_NO_PIC_P)
 #undef  MACHOPIC_PURE
-#define MACHOPIC_PURE		(flag_pic && ! MACHO_DYNAMIC_NO_PIC_P)
+#define MACHOPIC_PURE		(GCC_OPTION (flag_pic) && ! MACHO_DYNAMIC_NO_PIC_P)
 
 #undef TARGET_ENCODE_SECTION_INFO
 #define TARGET_ENCODE_SECTION_INFO  darwin_encode_section_info
@@ -851,7 +851,7 @@ enum machopic_addr_class {
 
 #define DARWIN_REGISTER_TARGET_PRAGMAS()			\
   do {								\
-    if (!flag_preprocess_only)					\
+    if (!GCC_OPTION (flag_preprocess_only))					\
       cpp_register_pragma (parse_in, NULL, "mark",		\
 			   darwin_pragma_ignore, false);	\
     c_register_pragma (0, "options", darwin_pragma_options);	\
@@ -896,7 +896,7 @@ void add_framework_path (char *);
 /* For Apple KEXTs, we make the constructors return this to match gcc
    2.95.  */
 #define TARGET_CXX_CDTOR_RETURNS_THIS (darwin_kextabi_p)
-#define TARGET_KEXTABI flag_apple_kext
+#define TARGET_KEXTABI GCC_OPTION (flag_apple_kext)
 
 /* We have target-specific builtins.  */
 #define SUBTARGET_FOLD_BUILTIN darwin_fold_builtin
diff --git a/gcc/config/elfos.h b/gcc/config/elfos.h
index 1fce701..7949722 100644
--- a/gcc/config/elfos.h
+++ b/gcc/config/elfos.h
@@ -309,7 +309,7 @@ see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see
 	ASM_OUTPUT_TYPE_DIRECTIVE (FILE, NAME, "object");		\
 									\
       size_directive_output = 0;					\
-      if (!flag_inhibit_size_directive					\
+      if (!GCC_OPTION (flag_inhibit_size_directive)					\
 	  && (DECL) && DECL_SIZE (DECL))				\
 	{								\
 	  size_directive_output = 1;					\
@@ -334,7 +334,7 @@ see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see
       const char *name = XSTR (XEXP (DECL_RTL (DECL), 0), 0);	\
       HOST_WIDE_INT size;					\
 								\
-      if (!flag_inhibit_size_directive				\
+      if (!GCC_OPTION (flag_inhibit_size_directive)				\
 	  && DECL_SIZE (DECL)					\
 	  && ! AT_END && TOP_LEVEL				\
 	  && DECL_INITIAL (DECL) == error_mark_node		\
@@ -352,7 +352,7 @@ see the files COPYING3 and COPYING.RUNTIME respectively.  If not, see
 #define ASM_DECLARE_FUNCTION_SIZE(FILE, FNAME, DECL)		\
   do								\
     {								\
-      if (!flag_inhibit_size_directive)				\
+      if (!GCC_OPTION (flag_inhibit_size_directive))				\
 	ASM_OUTPUT_MEASURED_SIZE (FILE, FNAME);			\
     }								\
   while (0)
diff --git a/gcc/config/epiphany/epiphany-modes.def b/gcc/config/epiphany/epiphany-modes.def
index 2a31d6e..e57ab74 100644
--- a/gcc/config/epiphany/epiphany-modes.def
+++ b/gcc/config/epiphany/epiphany-modes.def
@@ -34,7 +34,7 @@ RESET_FLOAT_FORMAT (DF, motorola_double_format);
 VECTOR_MODES (INT, 4);		/* V4QI V2HI */
 VECTOR_MODES (INT, 8);		/* V8QI V4HI V2SI */
 VECTOR_MODE (FLOAT, SF, 2);	/* V2SF */
-ADJUST_ALIGNMENT (V8QI, epiphany_vect_align);
-ADJUST_ALIGNMENT (V4HI, epiphany_vect_align);
-ADJUST_ALIGNMENT (V2SI, epiphany_vect_align);
-ADJUST_ALIGNMENT (V2SF, epiphany_vect_align);
+ADJUST_ALIGNMENT (V8QI, GCC_OPTION (epiphany_vect_align));
+ADJUST_ALIGNMENT (V4HI, GCC_OPTION (epiphany_vect_align));
+ADJUST_ALIGNMENT (V2SI, GCC_OPTION (epiphany_vect_align));
+ADJUST_ALIGNMENT (V2SF, GCC_OPTION (epiphany_vect_align));
